@extends('layout')

@push('head')
    <link rel="stylesheet" href="{{ asset('css/seat-chooser.css') }}">
    <style>
        :root {
            --rows: {{ $room->room_rows }};
            --cols: {{ $room->room_columns }};
        }
    </style>
@endpush

<div class="seat-chooser">
    @foreach($seatmatrix as $row)
        <div class="row">
            @foreach($row as $seat)
                <div class="seat @if($seat->isReserved) reserved @endif"
                     data-seat-id="{{ $seat->seat_id }}"
                     data-seat-status="{{ $seat->seat_status }}"
                     data-seat-row="{{ $seat->seat_row }}"
                     data-seat-column="{{ $seat->seat_column }}">
                    <div class="seat-number">{{ $seat->seat_row }}{{ $seat->seat_column }}</div>
                </div>
            @endforeach
        </div>
    @endforeach
</div>
